# TODO:
#
# - support for miniupnpc

Name:           bitcoin
#Version:        v0.6.1-513-gda1103f

Version:        0.6.1
Release:        2%{?dist}
Summary:        A peer-to-peer electronic crypto-currency cash system
Group:          Applications/Internet
License:        MIT
URL:            http://bitcoin.org/
#Source0:       https://github.com/bitcoin/bitcoin/tarball/master 
Source0:        bitcoin-bitcoin-v0.6.1-513-gda1103f.tar.gz
Source1:        bitcoin-qt.sh
#Source2:        bitcoin-makefile.fedora
#Source4:        bitcoin-qt.pro

BuildRequires:  openssl-upstream-devel
BuildRequires:  db4-devel, boost-devel, gcc-c++
BuildRequires:  desktop-file-utils qt-devel
#BuildRequires: miniupnpc-devel

Requires:       desktop-file-utils
Requires:	openssl-upstream
%description

Bitcoin is a free open source peer-to-peer electronic cash system that is
completely decentralized, without the need for a central server or trusted
parties.  Users hold the crypto keys to their own money and transact directly
with each other, with the help of a P2P network to check for double-spending.

See the documentation at the bitcoin wiki:
  https://en.bitcoin.it/wiki/Main_Page
for help and more information.


%prep
%setup -q -n bitcoin-bitcoin-da1103f/

# use miniupnpc
#USE_UPNP=1


%build
# bitcoind build:
pushd src/
make -f makefile.unix \
			BOOST_LIB_SUFFIX=-mt	\
			USE_UPNP=- #disables UPNP
popd

# bitcoin-qt build:
#     qmake "USE_UPNP=1"
qmake-qt4 "USE_UPNP=-" "USE_DBUS=1" "USE_SSL=1" LIBS+=-ldl \
	BOOST_LIB_SUFFIX=-mt 
make


%install

install -D -p src/bitcoind %{buildroot}/%{_libexecdir}/bitcoin/bitcoind
install -D -p bitcoin-qt %{buildroot}/%{_libexecdir}/bitcoin/bitcoin-qt

install -d %{buildroot}/%{_bindir}
sed "s|/usr/lib/bitcoin|%{_libexecdir}/bitcoin|g"  < contrib/debian/bin/bitcoind > %{buildroot}/%{_bindir}/bitcoind
sed "s|/usr/lib/bitcoin|%{_libexecdir}/bitcoin|g"  < %{SOURCE1} > %{buildroot}/%{_bindir}/bitcoin-qt

chmod 755 %{buildroot}/%{_bindir}/bitcoind
chmod 755 %{buildroot}/%{_bindir}/bitcoin-qt

install -m 644 -D -p src/qt/res/src/bitcoin.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/bitcoin.svg

sed -i "s|/usr/share/pixmaps/bitcoin80.xpm|bitcoin|g" contrib/debian/bitcoin-qt.desktop
desktop-file-install contrib/debian/bitcoin-qt.desktop \
        --add-category=Network \
        --dir %{buildroot}%{_datadir}/applications 

install -pD -m 644 contrib/debian/manpages/bitcoind.1 %{buildroot}/%{_mandir}/man1/bitcoind.1
install -pD -m 644 contrib/debian/manpages/bitcoin.conf.5 %{buildroot}/%{_mandir}/man5/bitcoin.conf.5


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,0755)
%doc COPYING README.md contrib/debian/examples/
%{_bindir}/*
%{_libexecdir}/*
%{_mandir}/man5/*
%{_mandir}/man1/*
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Mon Jul 2 2012 <ismael@olea.org> - 0.6.1-2
 - updated to v0.6.1-513-gda1103f
 - removed the openssl internal build because ineffective

* Mon May 7 2012 <ismael@olea.org> - 0.6.1-1
 - updating to bitcoin-bitcoin-v0.6.1-36-g1f7e0e5.tar.gz

* Mon May 7 2012 <ismael@olea.org> - 0.6.0-2
 - updating to openssl-1.0.1b.tar.gz

* Wed Apr 4 2012 <ismael@olea.org> - 0.6.0-1
- updated to 0.6.0*
- deprecated makefile.fedora
- deprecated packager bitcoin-qt.pro
- upgraded to openssl-1.0.0g

* Wed Dec 7 2011 <ismael@olea.org> - 0.5.0-1
- first release

